Bug 138888 - lm_sensors missing BuildRequires bison
lm_sensors missing BuildRequires bison
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lm_sensors (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 15:24 EST by Chris Stankaitis
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 05:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Stankaitis 2004-11-11 15:24:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040806

Description of problem:

tried to rebuild the lm_sensors Source RPM to get the lm_sensor-devel
package as RHN does not provide it.

lm_sensors is missing a BuidRequires in the Spec file for bison
without which your build bombs out.

Version-Release number of selected component (if applicable):

lm_sensors-2.6.5-6.src.rpm

How reproducible:
Always

Steps to Reproduce:
without bison installed

1. rpmbuild --rebuild lm_sensors-2.6.5-6.src.rpm (fails)
2. up2date bison
3. rpmbuild --rebuild lm_sensors-2.6.5-6.src.rpm (sucess)

Actual Results:  <snip>

gcc -I. -Ikernel/include -I/usr/src/linux/include
-I/usr/src/linux/include  -O2  -Wall -Wstrict-prototypes -Wshadow
-Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings
-Wnested-externs -Winline  -c lib/error.c -o lib/error.ao
lib/error.c: In function `sensors_default_fatal_error':
lib/error.c:61: warning: implicit declaration of function `exit'
gcc -I. -Ikernel/include -I/usr/src/linux/include
-I/usr/src/linux/include  -O2  -Wall -Wstrict-prototypes -Wshadow
-Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings
-Wnested-externs -Winline  -c lib/chips.c -o lib/chips.ao
gcc -I. -Ikernel/include -I/usr/src/linux/include
-I/usr/src/linux/include  -O2  -Wall -Wstrict-prototypes -Wshadow
-Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings
-Wnested-externs -Winline  -c lib/proc.c -o lib/proc.ao
gcc -I. -Ikernel/include -I/usr/src/linux/include
-I/usr/src/linux/include  -O2  -Wall -Wstrict-prototypes -Wshadow
-Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings
-Wnested-externs -Winline  -c lib/access.c -o lib/access.ao
gcc -I. -Ikernel/include -I/usr/src/linux/include
-I/usr/src/linux/include  -O2  -Wall -Wstrict-prototypes -Wshadow
-Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings
-Wnested-externs -Winline  -c lib/init.c -o lib/init.ao
bison -p sensors_yy -d lib/conf-parse.y -o lib/conf-parse.c
make: bison: Command not found
make: *** [lib/conf-parse.c] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.13746 (%build)


</snip>

Expected Results:  Wrote: /usr/src/redhat/SRPMS/lm_sensors-2.6.5-6.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/lm_sensors-2.6.5-6.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/lm_sensors-devel-2.6.5-6.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.26619
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd lm_sensors-2.6.5
+ '[' /var/tmp/lm_sensors-root '!=' / ']'
+ rm -fr /var/tmp/lm_sensors-root
+ exit 0


Additional info:
Comment 1 Phil Knirsch 2004-12-21 05:07:56 EST
Will be included in the latest development package. It is unlikely
though that an errata will be issued for this bug as for rebuilds all
packages usually assume that the "Development Tools" have been
installed during installation which includes bison by default (among
quite a few other "typical" development packages).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.